Organization Operations - List
列出提供程序的操作
GET https://management.azure.com/providers/Microsoft.Confluent/operations?api-version=2024-07-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
OrganizationOperations_List
示例请求
GET https://management.azure.com/providers/Microsoft.Confluent/operations?api-version=2024-07-01
示例响应
{
"nextLink": null,
"value": [
{
"name": "Microsoft.Confluent/organizations/Read",
"display": {
"description": "Read organization",
"operation": "Get/List organization resources",
"provider": "Microsoft.Confluent",
"resource": "organizations"
},
"isDataAction": false
},
{
"name": "Microsoft.Confluent/organizations/Write",
"display": {
"description": "Write organization",
"operation": "Create/Update organization resources",
"provider": "Microsoft.Confluent",
"resource": "organizations"
},
"isDataAction": false
},
{
"name": "Microsoft.Confluent/organizations/Delete",
"display": {
"description": "Delete organization",
"operation": "Delete organization resources",
"provider": "Microsoft.Confluent",
"resource": "organizations"
},
"isDataAction": false
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Error |
错误响应正文 |
|
Operation |
表示操作的对象。 |
|
Operation |
用于列出 Confluent 操作的 GET 请求的结果。 |
|
Operation |
Confluent REST API 操作。 |
|
Resource |
资源提供程序的默认错误响应 |
ErrorResponseBody
错误响应正文
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码 |
| details |
错误详细信息 |
|
| message |
string |
错误信息 |
| target |
string |
错误目标 |
OperationDisplay
表示操作的对象。
| 名称 | 类型 | 说明 |
|---|---|---|
| description |
string |
操作的说明,例如“写入 confluent”。 |
| operation |
string |
操作类型,例如读取、写入、删除等。 |
| provider |
string |
服务提供商:Microsoft.Confluent |
| resource |
string |
对其执行操作的类型,例如“clusters”。 |
OperationListResult
用于列出 Confluent 操作的 GET 请求的结果。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
用于获取下一组操作列表结果(如果有)的 URL。 |
| value |
Microsoft.Confluent 提供程序支持的 Confluent 操作列表。 |
OperationResult
Confluent REST API 操作。
| 名称 | 类型 | 说明 |
|---|---|---|
| display |
表示操作的对象。 |
|
| isDataAction |
boolean |
指示操作是否为数据操作 |
| name |
string |
操作名称:{provider}/{resource}/{operation} |
ResourceProviderDefaultErrorResponse
资源提供程序的默认错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误响应正文 |